wxLogNull(3)

NAME
wxLogNull - This class allows you to temporarily suspend logging.

DESCRIPTION

All calls to the log functions during the life time of an object of this class are just ignored.

In particular, it can be used to suppress the log messages given by wxWidgets itself but it should be noted that it is rarely the best way to cope with this problem as all log messages are suppressed, even if they indicate a completely different error than the one the programmer wanted to suppress.

For instance, the example of the overview:

would be better written as:

wxWidgets docs: wxLogNull

DATA TYPES

wxLogNull() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxLogNull()) -> ok.

    Destroys the object
new() -> wxLogNull().

    Suspends logging.